org.apache.lucene.queryParser.surround.query

## Class FieldsQuery

- java.lang.Object
- - org.apache.lucene.queryParser.surround.query.SrndQuery
  - - org.apache.lucene.queryParser.surround.query.FieldsQuery

- All Implemented Interfaces:
    java.lang.Cloneable

      public class FieldsQuery
      extends SrndQuery

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery

      `theEmptyLcnQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldsQuery(SrndQuery q, java.util.List fieldNames, char fieldOp)`
    `FieldsQuery(SrndQuery q, java.lang.String fieldName, char fieldOp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fieldNamesToString(java.lang.StringBuffer r)`
    `java.util.List` | `getFieldNames()`
    `char` | `getFieldOperator()`
    `boolean` | `isFieldsSubQueryAcceptable()`
    `org.apache.lucene.search.Query` | `makeLuceneQueryFieldNoBoost(java.lang.String fieldName, BasicQueryFactory qf)`
    `org.apache.lucene.search.Query` | `makeLuceneQueryNoBoost(BasicQueryFactory qf)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery

      `clone, getWeight, getWeightOperator, getWeightString, isWeighted, makeLuceneQueryField, setWeight, weightToString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldsQuery

          public FieldsQuery(SrndQuery q,
                             java.util.List fieldNames,
                             char fieldOp)

    - #### FieldsQuery

          public FieldsQuery(SrndQuery q,
                             java.lang.String fieldName,
                             char fieldOp)

  - ### Method Detail

    - #### isFieldsSubQueryAcceptable

          public boolean isFieldsSubQueryAcceptable()

      Overrides:
        `isFieldsSubQueryAcceptable` in class `SrndQuery`

    - #### makeLuceneQueryNoBoost

          public org.apache.lucene.search.Query makeLuceneQueryNoBoost(BasicQueryFactory qf)

    - #### makeLuceneQueryFieldNoBoost

          public org.apache.lucene.search.Query makeLuceneQueryFieldNoBoost(java.lang.String fieldName,
                                                                            BasicQueryFactory qf)

      Specified by:
        `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

    - #### getFieldNames

          public java.util.List getFieldNames()

    - #### getFieldOperator

          public char getFieldOperator()

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `SrndQuery`

    - #### fieldNamesToString

          protected void fieldNamesToString(java.lang.StringBuffer r)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.